local module = {}

local myMath = require("source.modules.math")

local Vector2 = {}
Vector2.__index = Vector2

function Vector2:Lerp(newVector2, position)
    return module.Vector2(myMath.lerp(self.x, newVector2.x, position), myMath.lerp(self.x, newVector2.x, position))
end

function Vector2:Get()
    return self.x, self.y
end

function module.Vector2(x, y)
    return setmetatable({x = x, y = y}, Vector2)
end

return module